Package tigase.auth.impl

# Class ScramCallbackHandler

java.lang.Object
tigase.auth.impl.ScramCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`, `AuthRepositoryAware`, `Aware`, `DomainAware`, `MechanismNameAware`, `SessionAware`

public class ScramCallbackHandler extends Object implements CallbackHandler, AuthRepositoryAware, SessionAware, DomainAware, MechanismNameAware
Implementation of CallbackHandler to support authentication using SASL SCRAM-* authentication mechanism.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScramCallbackHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`
  `protected void`
  `handleAuthorizeCallback(AuthorizeCallback authCallback)`
  `protected void`
  `handleCallback(Callback callback)`
  `protected void`
  `handleNameCallback(NameCallback nc)`
  `protected void`
  `handlePBKDIterationsCallback(PBKDIterationsCallback callback)`
  `protected void`
  `handleSaltCallback(SaltCallback callback)`
  `protected void`
  `handleSaltedPasswordCallbackCallback(SaltedPasswordCallback callback)`
  `void`
  `setAuthRepository(AuthRepository repo)`
  Sets AuthRepository.
  `void`
  `setDomain(String domain)`
  Sets name of domain from XMPP Stream.
  `void`
  `setMechanismName(String mechanismName)`
  `void`
  `setSession(XMPPResourceConnection session)`
  Sets XMPP Session.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScramCallbackHandler

    public ScramCallbackHandler()

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
    Specified by:
      `handle` in interface `CallbackHandler`
    Throws:
      `IOException`
      `UnsupportedCallbackException`

  - ### setMechanismName

    public void setMechanismName(String mechanismName)
    Specified by:
      `setMechanismName` in interface `MechanismNameAware`

  - ### setAuthRepository

    public void setAuthRepository(AuthRepository repo)
    Description copied from interface: `AuthRepositoryAware`
    Sets AuthRepository.
    Specified by:
      `setAuthRepository` in interface `AuthRepositoryAware`
    Parameters:
      `repo` - AuthRepository.

  - ### setDomain

    public void setDomain(String domain)
    Description copied from interface: `DomainAware`
    Sets name of domain from XMPP Stream.
    Specified by:
      `setDomain` in interface `DomainAware`
    Parameters:
      `domain` - domain name

  - ### setSession

    public void setSession(XMPPResourceConnection session)
    Description copied from interface: `SessionAware`
    Sets XMPP Session.
    Specified by:
      `setSession` in interface `SessionAware`
    Parameters:
      `session` - XMPP session.

  - ### handleAuthorizeCallback

    protected void handleAuthorizeCallback(AuthorizeCallback authCallback) throws SaslException
    Throws:
      `SaslException`

  - ### handleCallback

    protected void handleCallback(Callback callback) throws UnsupportedCallbackException, IOException
    Throws:
      `UnsupportedCallbackException`
      `IOException`

  - ### handleNameCallback

    protected void handleNameCallback(NameCallback nc) throws IOException
    Throws:
      `IOException`

  - ### handlePBKDIterationsCallback

    protected void handlePBKDIterationsCallback(PBKDIterationsCallback callback) throws SaslException
    Throws:
      `SaslException`

  - ### handleSaltCallback

    protected void handleSaltCallback(SaltCallback callback) throws SaslException
    Throws:
      `SaslException`

  - ### handleSaltedPasswordCallbackCallback

    protected void handleSaltedPasswordCallbackCallback(SaltedPasswordCallback callback) throws SaslException
    Throws:
      `SaslException`